Subject: Re: [PATCH v5 1/1] send-email: Add sendmail email aliases format

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 May 2015 19:55:43 -0700

Allen Hubbe <[email-masked]> writes:

>> Could you fetch from me and then run:
>>
>>  $ git log --reverse -3 -p 6b733ee4ba330e1187017895b8426dd9171c33b8
>>
>> to see if you agree with the result?  That is what I queued on 'pu'
>> for now with my fixups.
>
> It looks good to me.  How would you like me to proceed?  I assume you
> would like your patch on top of mine will stay, to use HOME instead of
> tilde.  Or, would you like me to use HOME in my v6, too?
>
> Should I send you v6 like v5, but with the documentation fixed, or
> would you now prefer a separate patch on top of that to fix the
> documentation?

It probably should be two patches.  Your sendmail thing with docs
and tests as one patch (with $HOME in test), and fix to mailrc tests
I did (minus the part that fixes your sendmail test, which should
now become unnecessary) on top.

If the documentation I queued on 'pu' formats well already (which I
cannot check myself until tomorrow), then I'd guess the above would
be like squashing 8b8fb5a into dc6183c and then 6b733ee on top, I
think.

 6b733ee t9001: write $HOME/, not ~/, to help shells without tilde expansion
 8b8fb5a git-send-email doc: refer to upstream document for alias format
 dc6183c send-email: add sendmail email aliases format